/* menu  styles */
/* menu  styles */
/* menu  styles */
nav.menubar {
    position: fixed;
    top:0;
    left:0;
    width: calc(100% - 4rem);
    z-index: 100;
    height: var(--pb-menubar-height);
    padding: 0 2em;

    a, a:link, a:visited {
        padding: 0;
    }
    paper-menu-button a{
        padding: 0;
    }

    ul{
        list-style-type: none;
        padding: 1rem;
    }
    li{
        padding: 0.5rem 0;
    }
    li > * {
        padding: 0;
    }
    .logo{
        font-size:2rem;
    }
    .icon{
        width: 1.5rem;
        height: 1.5rem;
        stroke:white;
        fill:white;
        background-color: transparent;
    }

    pb-media-query{
        display: flex;
        align-items: center;
        justify-content: space-between;

        span{
            display: flex;
            align-items: center;
        }
    }
    pb-media-query.desktop{
        --pb-lang-input-color: white;

        .icon.menu{
            display: none;
        }
        pb-lang{
            color:black;
        }

    }
    pb-media-query.mobile{
        pb-lang,
        pb-lang details summary{
            color:black;
        }

        .icon.menu{
            display: block;
        }
        pb-search{
            flex-grow: 2;
            margin-right:2rem;
        }
        details.mobile-menu pb-search{
            color:black;
        }
        details.mobile-menu{
            background-color: white;
            position: fixed;
            right: 0;
            top: 0;
            z-index: 10;
            height: 100dvh;
            width: 0;
        }
        details.mobile-menu[open] {
            border-left:thin solid;
            width: 14rem;
        }

        details.mobile-menu summary{
            list-style-type: none;
            height: 2.875rem;
            display: flex;
            align-items: center;
            padding-right: 1rem;
            background-color: var(--pb-menubar-background-color);
            min-width: 2rem;
            text-align: right;
            position: absolute;
            right: 0;
        }
        details.mobile-menu .icon.close{
            display: none !important;
        }
        details.mobile-menu pb-i18n{
            display: none;
        }

        details.mobile-menu[open] summary{
            background-color: white;
        }
        details.mobile-menu[open] .icon.close{
            display: block !important;
            position: absolute;
            right: 1.5rem;
            color:black;
            fill:black;
            stroke:black;
            background-color: transparent;
        }
        details.mobile-menu[open] pb-i18n{
            display: inline-block;
            color:black;
        }

        details.mobile-menu[open] .icon.menu{
            display: none !important;
        }

    }
}

